App\Entity\CommentAbstract:
    exclusion_policy: all
    discriminator:
        field_name: discr
        map:
            content: App\Entity\CommentContent
            task: App\Entity\CommentTask
            landingPage: App\Entity\CommentLandingPage
    properties:
        id:
            groups: [grid, all, broadcast]
            max_depth: 1
        createdBy:
            groups: [grid, all, broadcast]
            max_depth: 1
        description:
            groups: [grid, all, broadcast]
            max_depth: 1
        createdAt:
            groups: [grid, all, broadcast]
            max_depth: 1
        updatedAt:
            groups: []
            max_depth: 1
        files:
            groups: [grid, all, broadcast]
            max_depth: 2
    virtual_properties:
        getDataType:
            groups: [grid, all, broadcast]